> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shinzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete a file from an agent's workspace.

## Authentication

Requires JWT token or Platform API key.

<ParamField path="agentId" type="string" required>Agent UUID</ParamField>
<ParamField path="path" type="string" required>File path within the agent workspace (wildcard segment)</ParamField>

## Example Request

```bash theme={null}
curl -X DELETE "https://api.app.shinzo.ai/v1/agent/agt_abc123/filesystem/files/workspace/data/output.txt" \
  -H "Authorization: Bearer <jwt_token>"
```

## Response

```json theme={null}
{
  "message": "File deleted successfully"
}
```

## Status Codes

| Code  | Description               |
| ----- | ------------------------- |
| `200` | File deleted successfully |
| `401` | Invalid authentication    |
| `403` | Access denied             |
| `404` | Agent or file not found   |
